Index: typo3/sysext/cms/layout/db_layout.php
===================================================================
--- typo3/sysext/cms/layout/db_layout.php	(Revision 5046)
+++ typo3/sysext/cms/layout/db_layout.php	(Arbeitskopie)
@@ -72,13 +72,6 @@
 require($BACK_PATH.'init.php');
 require($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:cms/layout/locallang.xml');
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_recordlist.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
-require_once(PATH_typo3.'class.db_list.inc');
-require_once('class.tx_cms_layout.php');
-require_once(PATH_t3lib.'class.t3lib_positionmap.php');
 $BE_USER->modAccess($MCONF,1);
 
 // Will open up records locked by current user. It's assumed that the locking should end if this script is hit.
Index: typo3/sysext/cms/layout/db_new_content_el.php
===================================================================
--- typo3/sysext/cms/layout/db_new_content_el.php	(Revision 5046)
+++ typo3/sysext/cms/layout/db_new_content_el.php	(Arbeitskopie)
@@ -78,9 +78,6 @@
 	// Exits if 'cms' extension is not loaded:
 t3lib_extMgm::isLoaded('cms',1);
 
-	// Include needed libraries:
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_positionmap.php');
 
 
 
Index: typo3/sysext/version/cm1/index.php
===================================================================
--- typo3/sysext/version/cm1/index.php	(Revision 5046)
+++ typo3/sysext/version/cm1/index.php	(Arbeitskopie)
@@ -82,14 +82,7 @@
 require ($BACK_PATH.'init.php');
 require ($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:version/locallang.xml');
-require_once (PATH_t3lib.'class.t3lib_scbase.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-	// DEFAULT initialization of a module [END]
 
-require_once(PATH_t3lib.'class.t3lib_diff.php');
-require_once(PATH_typo3.'mod/user/ws/class.wslib.php');
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
 
 
 
Index: typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php
===================================================================
--- typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php	(Revision 5046)
+++ typo3/sysext/wizard_sortpages/class.tx_wizardsortpages_webfunc_2.php	(Arbeitskopie)
@@ -47,9 +47,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 
Index: typo3/sysext/tstemplate_ceditor/class.tx_tstemplateceditor.php
===================================================================
--- typo3/sysext/tstemplate_ceditor/class.tx_tstemplateceditor.php	(Revision 5046)
+++ typo3/sysext/tstemplate_ceditor/class.tx_tstemplateceditor.php	(Arbeitskopie)
@@ -35,7 +35,6 @@
  * @author	Kasper Skårhøj <kasperYYYY@typo3.com>
  */
 
-require_once(PATH_t3lib."class.t3lib_extobjbase.php");
 
 class tx_tstemplateceditor extends t3lib_extobjbase {
 	function initialize_editor($pageId,$template_uid=0)	{
@@ -111,7 +110,7 @@
 
 				// Update template ?
 			if (t3lib_div::_POST('submit') || (t3lib_div::testInt(t3lib_div::_POST('submit_x')) && t3lib_div::testInt(t3lib_div::_POST('submit_y')))) {
-				require_once (PATH_t3lib."class.t3lib_tcemain.php");
+
 				$tmpl->changed=0;
 				$tmpl->ext_procesInput(t3lib_div::_POST(),$_FILES,$theConstants,$tplRow);
 		//		debug($tmpl->changed);
Index: typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php
===================================================================
--- typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php	(Revision 5046)
+++ typo3/sysext/tstemplate_info/class.tx_tstemplateinfo.php	(Arbeitskopie)
@@ -44,7 +44,6 @@
  *
  */
 
-require_once(PATH_t3lib."class.t3lib_extobjbase.php");
 
 class tx_tstemplateinfo extends t3lib_extobjbase {
 
@@ -199,7 +198,7 @@
 			$POST = t3lib_div::_POST();
 			if ($POST['submit'] || (t3lib_div::testInt($POST['submit_x']) && t3lib_div::testInt($POST['submit_y']))
 				|| $POST['saveclose'] || (t3lib_div::testInt($POST['saveclose_x']) && t3lib_div::testInt($POST['saveclose_y']))) {
-				require_once(PATH_t3lib.'class.t3lib_tcemain.php');
+
 					// Set the data to be saved
 				$recData = array();
 				$alternativeFileName = array();
Index: typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php
===================================================================
--- typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php	(Revision 5046)
+++ typo3/sysext/func_wizards/class.tx_funcwizards_webfunc.php	(Arbeitskopie)
@@ -47,7 +47,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 
 
 
Index: typo3/sysext/fe_edit/view/class.tx_feedit_editpanel.php
===================================================================
--- typo3/sysext/fe_edit/view/class.tx_feedit_editpanel.php	(Revision 5046)
+++ typo3/sysext/fe_edit/view/class.tx_feedit_editpanel.php	(Arbeitskopie)
@@ -50,7 +50,7 @@
 	 * @return	void
 	 */
 	public function __construct() {
-		require_once (PATH_tslib . '/class.tslib_content.php');
+
 		$this->cObj = t3lib_div::makeInstance('tslib_cObj');
 		$this->cObj->start(array());
 	}
Index: typo3/sysext/setup/mod/index.php
===================================================================
--- typo3/sysext/setup/mod/index.php	(Revision 5046)
+++ typo3/sysext/setup/mod/index.php	(Arbeitskopie)
@@ -61,8 +61,6 @@
 unset($MCONF);
 require('conf.php');
 require($BACK_PATH.'init.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
 
 
 
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Revision 5046)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Arbeitskopie)
@@ -92,7 +92,6 @@
 		if (t3lib_extMgm::isLoaded('libunzipped'))	{
 
 				// Include Unzip library:
-			require_once(t3lib_extMgm::extPath('libunzipped').'class.tx_libunzipped.php');
 
 				// Find database file:
 			$sxc_file = t3lib_div::getFileAbsFileName($this->config['sxc_file']);
Index: typo3/sysext/dbal/mod1/index.php
===================================================================
--- typo3/sysext/dbal/mod1/index.php	(Revision 5046)
+++ typo3/sysext/dbal/mod1/index.php	(Arbeitskopie)
@@ -34,7 +34,7 @@
 require ($BACK_PATH.'init.php');
 require ($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:dbal/mod1/locallang.xml');
-require_once (PATH_t3lib.'class.t3lib_scbase.php');
+
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/sysext/dbal/class.ux_t3lib_db.php
===================================================================
--- typo3/sysext/dbal/class.ux_t3lib_db.php	(Revision 5046)
+++ typo3/sysext/dbal/class.ux_t3lib_db.php	(Arbeitskopie)
@@ -113,9 +113,8 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_sqlengine.php');
-require_once(PATH_t3lib.'class.t3lib_install.php');
 
+
 /**
  * TYPO3 database abstraction layer
  *
@@ -2124,7 +2123,7 @@
 					break;
 				case 'adodb':
 					$output = true;
-					require_once(t3lib_extMgm::extPath('adodb').'adodb/adodb.inc.php');
+
 					if(!defined('ADODB_FORCE_NULLS')) define('ADODB_FORCE_NULLS', 1);
 					$GLOBALS['ADODB_FORCE_TYPE'] = ADODB_FORCE_VALUE;
 					$GLOBALS['ADODB_FETCH_MODE'] = ADODB_FETCH_BOTH;
Index: typo3/sysext/impexp/app/index.php
===================================================================
--- typo3/sysext/impexp/app/index.php	(Revision 5046)
+++ typo3/sysext/impexp/app/index.php	(Arbeitskopie)
@@ -109,14 +109,7 @@
 
 
 $LANG->includeLLFile('EXT:impexp/app/locallang.php');
-require_once (PATH_t3lib.'class.t3lib_scbase.php');
-require_once (t3lib_extMgm::extPath('impexp').'class.tx_impexp.php');
-require_once (PATH_t3lib.'class.t3lib_browsetree.php');
-require_once (PATH_t3lib.'class.t3lib_pagetree.php');
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_extfilefunc.php');
-
 t3lib_extMgm::isLoaded('impexp',1);
 
 
Index: typo3/sysext/impexp/class.tx_impexp.php
===================================================================
--- typo3/sysext/impexp/class.tx_impexp.php	(Revision 5046)
+++ typo3/sysext/impexp/class.tx_impexp.php	(Arbeitskopie)
@@ -171,13 +171,7 @@
  * 	#debug(strlen($out));
  */
 
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once (PATH_t3lib.'class.t3lib_diff.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
 
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_extfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_refindex.php');
 
 @ini_set('max_execution_time',600);
 @ini_set('memory_limit','256m');
Index: typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php
===================================================================
--- typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Revision 5046)
+++ typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Arbeitskopie)
@@ -49,7 +49,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
 t3lib_extMgm::isLoaded('impexp',1);
 
 
Index: typo3/sysext/indexed_search/mod/index.php
===================================================================
--- typo3/sysext/indexed_search/mod/index.php	(Revision 5046)
+++ typo3/sysext/indexed_search/mod/index.php	(Arbeitskopie)
@@ -69,7 +69,6 @@
 $BE_USER->modAccess($MCONF, 1);
 
 t3lib_extMgm::isLoaded('indexed_search', 1);
-require_once(t3lib_extMgm::extPath('indexed_search') . 'class.indexer.php');
 
 
 
Index: typo3/sysext/indexed_search/class.indexer.php
===================================================================
--- typo3/sysext/indexed_search/class.indexer.php	(Revision 5046)
+++ typo3/sysext/indexed_search/class.indexer.php	(Arbeitskopie)
@@ -128,7 +128,6 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 /**
@@ -1810,11 +1809,9 @@
 	 * Includes the crawler class
 	 *
 	 * @return	void
+	 * @deprecated	since TYPO3 4.3 - not used anymore due to autoloading of classes
 	 */
 	function includeCrawlerClass()	{
-		global $TYPO3_CONF_VARS;
-
-		require_once(t3lib_extMgm::extPath('crawler').'class.tx_crawler_lib.php');
 	}
 
 
Index: typo3/sysext/indexed_search/class.crawler.php
===================================================================
--- typo3/sysext/indexed_search/class.crawler.php	(Revision 5046)
+++ typo3/sysext/indexed_search/class.crawler.php	(Arbeitskopie)
@@ -357,9 +357,6 @@
 					// Get root line (need to provide this when indexing external files)
 				$rl = $this->getUidRootLineForClosestTemplate($cfgRec['pid']);
 
-					// Load indexer if not yet.
-				$this->loadIndexerClass();
-
 					// (Re)-Indexing file on page.
 				$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
 				$indexerObj->backend_initIndexer($cfgRec['pid'], 0, 0, '', $rl);
@@ -601,10 +598,6 @@
 	 * @return	array		URLs found on this page
 	 */
 	function indexExtUrl($url, $pageId, $rl, $cfgUid, $setId)	{
-
-			// Load indexer if not yet.
-		$this->loadIndexerClass();
-
 			// Index external URL:
 		$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
 		$indexerObj->backend_initIndexer($pageId, 0, 0, '', $rl);
@@ -644,11 +637,6 @@
 	 * @return	void
 	 */
 	function indexSingleRecord($r,$cfgRec,$rl=NULL)	{
-
-			// Load indexer if not yet.
-		$this->loadIndexerClass();
-
-
 			// Init:
 		$rl = is_array($rl) ? $rl : $this->getUidRootLineForClosestTemplate($cfgRec['pid']);
 		$fieldList = t3lib_div::trimExplode(',',$cfgRec['fieldlist'],1);
@@ -691,10 +679,9 @@
 	 * Include indexer class.
 	 *
 	 * @return	void
+	 * @deprecated	since TYPO3 4.3 - not used anymore due to autoloading of classes
 	 */
 	function loadIndexerClass()	{
-		global $TYPO3_CONF_VARS;
-		require_once(t3lib_extMgm::extPath('indexed_search').'class.indexer.php');
 	}
 
 	/**
@@ -707,12 +694,6 @@
 	function getUidRootLineForClosestTemplate($id)	{
 		global $TYPO3_CONF_VARS;
 
-		require_once (PATH_t3lib."class.t3lib_page.php");
-		require_once (PATH_t3lib."class.t3lib_tstemplate.php");
-		require_once (PATH_t3lib."class.t3lib_tsparser_ext.php");
-
-
-
 		$tmpl = t3lib_div::makeInstance("t3lib_tsparser_ext");
 		$tmpl->tt_track = 0;	// Do not log time-performance information
 		$tmpl->init();
@@ -927,10 +908,6 @@
 	 * @return	array		Result array
 	 */
 	function crawler_execute($params,&$pObj)	{
-
-			// Load indexer if not yet.
-		$this->loadIndexerClass();
-
 		if (is_array($params['conf']))	{
 
 				// Initialize the indexer class:
@@ -956,10 +933,9 @@
 	 * Include indexer class.
 	 *
 	 * @return	void
+	 * @deprecated	since TYPO3 4.3 - not used anymore due to autoloading of classes
 	 */
 	function loadIndexerClass()	{
-		global $TYPO3_CONF_VARS;
-		require_once(t3lib_extMgm::extPath('indexed_search').'class.indexer.php');
 	}
 }
 
Index: typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php
===================================================================
--- typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Revision 5046)
+++ typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Arbeitskopie)
@@ -105,11 +105,9 @@
 
 
 
-require_once(PATH_tslib.'class.tslib_pibase.php');
-require_once(PATH_tslib.'class.tslib_search.php');
-require_once(t3lib_extMgm::extPath('indexed_search').'class.indexer.php');
 
 
+
 /**
  * Index search frontend
  *
Index: typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php
===================================================================
--- typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Revision 5046)
+++ typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Arbeitskopie)
@@ -81,18 +81,9 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
-require_once(t3lib_extMgm::extPath('indexed_search').'class.indexer.php');
 
 
-	// ... all for the rootline!
-require_once (PATH_t3lib."class.t3lib_page.php");
-require_once (PATH_t3lib."class.t3lib_tstemplate.php");
-require_once (PATH_t3lib."class.t3lib_tsparser_ext.php");
 
-	// Keywords mgm:
-require_once (PATH_t3lib."class.t3lib_tcemain.php");
 
 
 
Index: typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php
===================================================================
--- typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Revision 5046)
+++ typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Arbeitskopie)
@@ -44,8 +44,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_extobjbase.php');
-require_once(PATH_t3lib.'class.t3lib_tsfebeuserauth.php');
 
 
 
Index: typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php
===================================================================
--- typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php	(Revision 5046)
+++ typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php	(Arbeitskopie)
@@ -53,7 +53,6 @@
  *
  */
 
-require_once(PATH_tslib.'class.tslib_pibase.php');
 
 
 
Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(Revision 5046)
+++ typo3/sysext/install/mod/class.tx_install.php	(Arbeitskopie)
@@ -148,16 +148,14 @@
 
 
 
-require_once (PATH_t3lib.'class.t3lib_install.php');
-require_once (PATH_t3lib.'class.t3lib_stdgraphic.php');
 
+
 // include update classes
-require_once(t3lib_extMgm::extPath('install').'updates/class.tx_coreupdates_compatversion.php');
-require_once(t3lib_extMgm::extPath('install').'updates/class.tx_coreupdates_notinmenu.php');
-require_once(t3lib_extMgm::extPath('install').'updates/class.tx_coreupdates_mergeadvanced.php');
-require_once(t3lib_extMgm::extPath('install').'updates/class.tx_coreupdates_installsysexts.php');
-require_once(t3lib_extMgm::extPath('install').'updates/class.tx_coreupdates_imagescols.php');
 
+
+
+
+
 /**
  * Install Tool module
  *
@@ -1654,7 +1652,7 @@
 					$email = trim($this->INSTALL['check_mail']);
 
 					if($this->INSTALL['use_htmlmail'])	{
-						require_once (PATH_t3lib.'class.t3lib_htmlmail.php');
+
 					  	$emailObj = t3lib_div::makeInstance('t3lib_htmlmail');
 					  	/* @var $emailObj t3lib_htmlmail */
 						$emailObj->start();
Index: typo3/sysext/rtehtmlarea/hooks/clearrtecache/class.tx_rtehtmlarea_clearcachemenu.php
===================================================================
--- typo3/sysext/rtehtmlarea/hooks/clearrtecache/class.tx_rtehtmlarea_clearcachemenu.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/hooks/clearrtecache/class.tx_rtehtmlarea_clearcachemenu.php	(Arbeitskopie)
@@ -32,7 +32,6 @@
  * @package	TYPO3
  */
 
-require_once (PATH_typo3.'interfaces/interface.backend_cacheActionsHook.php');
 
 class tx_rtehtmlarea_clearcachemenu implements backend_cacheActionsHook {
 	/**
Index: typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/pi1/class.tx_rtehtmlarea_pi1.php	(Arbeitskopie)
@@ -65,7 +65,7 @@
 	 */
 	function main() {
 
-		require_once(PATH_t3lib.'class.t3lib_cs.php');
+
 		$this->csConvObj = t3lib_div::makeInstance('t3lib_cs');
 
 			// Setting start time
@@ -422,7 +422,7 @@
 }
 
 if (TYPO3_MODE=='FE') {
-	require_once(PATH_tslib.'class.tslib_eidtools.php');
+
 	tslib_eidtools::connectDB();
 	$spellChecker = t3lib_div::makeInstance('tx_rtehtmlarea_pi1');
 	$spellChecker->main();
Index: typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(Arbeitskopie)
@@ -32,10 +32,9 @@
  * $Id$  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlarea_base.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml_proc.php');
-require_once(PATH_t3lib.'class.t3lib_befunc.php');
 
+
+
 class tx_rtehtmlarea_pi2 extends tx_rtehtmlarea_base {
 
 		// External:
Index: typo3/sysext/rtehtmlarea/pi3/class.tx_rtehtmlarea_pi3.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi3/class.tx_rtehtmlarea_pi3.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/pi3/class.tx_rtehtmlarea_pi3.php	(Arbeitskopie)
@@ -32,7 +32,6 @@
  * $Id$  *
  */
 
-require_once(PATH_tslib.'class.tslib_pibase.php');
 
 class tx_rtehtmlarea_pi3 extends tslib_pibase {
 
Index: typo3/sysext/rtehtmlarea/extensions/UndoRedo/class.tx_rtehtmlarea_undoredo.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/UndoRedo/class.tx_rtehtmlarea_undoredo.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/UndoRedo/class.tx_rtehtmlarea_undoredo.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_undoredo extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3HtmlParser/class.tx_rtehtmlarea_typo3htmlparser.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3HtmlParser/class.tx_rtehtmlarea_typo3htmlparser.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3HtmlParser/class.tx_rtehtmlarea_typo3htmlparser.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_typo3htmlparser extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Image/class.tx_rtehtmlarea_typo3image.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Image/class.tx_rtehtmlarea_typo3image.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Image/class.tx_rtehtmlarea_typo3image.php	(Arbeitskopie)
@@ -26,8 +26,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
-
 class tx_rtehtmlarea_typo3image extends tx_rtehtmlareaapi {
 
 	protected $extensionKey = 'rtehtmlarea';	// The key of the extension that is extending htmlArea RTE
Index: typo3/sysext/rtehtmlarea/extensions/DefaultInline/class.tx_rtehtmlarea_defaultinline.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultInline/class.tx_rtehtmlarea_defaultinline.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultInline/class.tx_rtehtmlarea_defaultinline.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_defaultinline extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/InsertSmiley/class.tx_rtehtmlarea_insertsmiley.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/InsertSmiley/class.tx_rtehtmlarea_insertsmiley.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/InsertSmiley/class.tx_rtehtmlarea_insertsmiley.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_insertsmiley extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/DefaultImage/class.tx_rtehtmlarea_defaultimage.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultImage/class.tx_rtehtmlarea_defaultimage.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultImage/class.tx_rtehtmlarea_defaultimage.php	(Arbeitskopie)
@@ -26,8 +26,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
-
 class tx_rtehtmlarea_defaultimage extends tx_rtehtmlareaapi {
 
 	protected $extensionKey = 'rtehtmlarea';	// The key of the extension that is extending htmlArea RTE
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Link/class.tx_rtehtmlarea_typo3link.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Link/class.tx_rtehtmlarea_typo3link.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Link/class.tx_rtehtmlarea_typo3link.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_typo3link extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/DefaultLink/class.tx_rtehtmlarea_defaultlink.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultLink/class.tx_rtehtmlarea_defaultlink.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultLink/class.tx_rtehtmlarea_defaultlink.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_defaultlink extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/TextStyle/class.tx_rtehtmlarea_textstyle.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TextStyle/class.tx_rtehtmlarea_textstyle.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/TextStyle/class.tx_rtehtmlarea_textstyle.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_textstyle extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/RemoveFormat/class.tx_rtehtmlarea_removeformat.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/RemoveFormat/class.tx_rtehtmlarea_removeformat.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/RemoveFormat/class.tx_rtehtmlarea_removeformat.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_removeformat extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/StatusBar/class.tx_rtehtmlarea_statusbar.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/StatusBar/class.tx_rtehtmlarea_statusbar.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/StatusBar/class.tx_rtehtmlarea_statusbar.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_statusbar extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/QuickTag/class.tx_rtehtmlarea_quicktag.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/QuickTag/class.tx_rtehtmlarea_quicktag.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/QuickTag/class.tx_rtehtmlarea_quicktag.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_quicktag extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/DefaultFont/class.tx_rtehtmlarea_defaultfont.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultFont/class.tx_rtehtmlarea_defaultfont.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultFont/class.tx_rtehtmlarea_defaultfont.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_defaultfont extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/InlineElements/class.tx_rtehtmlarea_inlineelements.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/InlineElements/class.tx_rtehtmlarea_inlineelements.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/InlineElements/class.tx_rtehtmlarea_inlineelements.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_inlineelements extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/FindReplace/class.tx_rtehtmlarea_findreplace.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/FindReplace/class.tx_rtehtmlarea_findreplace.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/FindReplace/class.tx_rtehtmlarea_findreplace.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_findreplace extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Color/class.tx_rtehtmlarea_typo3color.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Color/class.tx_rtehtmlarea_typo3color.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Color/class.tx_rtehtmlarea_typo3color.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_typo3color extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/AboutEditor/class.tx_rtehtmlarea_abouteditor.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/AboutEditor/class.tx_rtehtmlarea_abouteditor.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/AboutEditor/class.tx_rtehtmlarea_abouteditor.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_abouteditor extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/DefaultColor/class.tx_rtehtmlarea_defaultcolor.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultColor/class.tx_rtehtmlarea_defaultcolor.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultColor/class.tx_rtehtmlarea_defaultcolor.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_defaultcolor extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/Language/class.tx_rtehtmlarea_language.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/Language/class.tx_rtehtmlarea_language.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/Language/class.tx_rtehtmlarea_language.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_language extends tx_rtehtmlareaapi {
 
@@ -54,8 +53,6 @@
 	public function main($parentObject) {
 		if (!t3lib_extMgm::isLoaded('static_info_tables')) {
 			$this->pluginButtons = t3lib_div::rmFromList('language', $this->pluginButtons);
-		} else {
-			require_once(t3lib_extMgm::extPath('static_info_tables').'class.tx_staticinfotables_div.php');
 		}
 		return parent::main($parentObject);
 	}
Index: typo3/sysext/rtehtmlarea/extensions/DefinitionList/class.tx_rtehtmlarea_definitionlist.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefinitionList/class.tx_rtehtmlarea_definitionlist.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefinitionList/class.tx_rtehtmlarea_definitionlist.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_definitionlist extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/DefaultClean/class.tx_rtehtmlarea_defaultclean.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultClean/class.tx_rtehtmlarea_defaultclean.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultClean/class.tx_rtehtmlarea_defaultclean.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_defaultclean extends tx_rtehtmlareaapi {
 
Index: typo3/sysext/rtehtmlarea/extensions/BlockElements/class.tx_rtehtmlarea_blockelements.php
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/BlockElements/class.tx_rtehtmlarea_blockelements.php	(Revision 5046)
+++ typo3/sysext/rtehtmlarea/extensions/BlockElements/class.tx_rtehtmlarea_blockelements.php	(Arbeitskopie)
@@ -30,7 +30,6 @@
  *
  */
 
-require_once(t3lib_extMgm::extPath('rtehtmlarea').'class.tx_rtehtmlareaapi.php');
 
 class tx_rtehtmlarea_blockelements extends tx_rtehtmlareaapi {
 
